---
title: CSSValueList
slug: Web/API/CSSValueList
tags:
  - API
  - CSSOM
  - CSSValueList
  - Interface
  - Obsolete
  - Reference
---
<div>{{APIRef("CSSOM")}}</div>

<p>The <code><strong>CSSValueList</strong></code> interface derives from the {{DOMxRef("CSSValue")}} interface and provides the abstraction of an ordered collection of CSS values.</p>

<p>Some properties allow an empty list in their syntax. In that case, these properties take the <code>none</code> identifier. So, an empty list means that the property has the value <code>none</code>.</p>

<p>The items in the <code>CSSValueList</code> are accessible via an integral index, starting from 0.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{DOMxRef("CSSValue")}}</em>.</p>

<dl>
 <dt>{{DOMxRef("CSSValueList.length")}}{{ReadOnlyInline}}</dt>
 <dd>An <code>unsigned long</code> representing the number of <code>CSSValues</code> in the list.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{DOMxRef("CSSValueList.item()")}}</dt>
 <dd>This method is used to retrieve a {{DOMxRef("CSSValue")}} by ordinal index. The order in this collection represents the order of the values in the CSS style property. If index is greater than or equal to the number of values in the list, this returns <code>null</code>.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Style', 'css.html#CSS-CSSValuesList', 'CSSValuesList')}}</td>
   <td>{{Spec2('DOM2 Style')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.CSSValueList")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("CSSPrimitiveValue")}}</li>
 <li>{{DOMxRef("CSSValue")}}</li>
</ul>
